Skip to main content

Update properties of an enterprise role

PATCH 

/nevisidm/api/core/v1/:clientExtId/eroles/:eroleExtId/properties

Since: 2.75.2, 2.76.0

Required permission(s): AccessControl.EnterpriseRoleView,AccessControl.EnterpriseRoleModify,AccessControl.PropertyView,AccessControl.PropertyValueView,AccessControl.PropertyAllowedValueView,AccessControl.PropertyValueCreate,AccessControl.PropertyValueDelete,AccessControl.PropertyValueModify

Updates the property values of the enterprise role with the given external ID.

Properties provided in the request body are created or updated. Existing properties not included in the request body remain unchanged. The response contains all current property values after the update.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    eroleExtId stringrequired

    External ID of the enterprise role.

    Example: erole-123

Body

required
    property name* string

Responses

Enterprise role properties updated successfully

Schema
    property name* string
Loading...